import { ApplicationContentDto, ApplicationDto, WidgetDto } from "@smallstack/axios-api-client";
import { RouterUtilService } from "@smallstack/common-components";
import { ContinuationService, UserService } from "@smallstack/user-components";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class ApplicationService {
    #private;
    private userService;
    private routerUtilService;
    private continuationService;
    application$: Observable<ApplicationDto>;
    currentContent$: Observable<ApplicationContentDto>;
    currentComponent$: Observable<WidgetDto>;
    constructor(userService: UserService, routerUtilService: RouterUtilService, continuationService: ContinuationService);
    setApplication(application: ApplicationDto): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApplicationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApplicationService>;
}
